# SourcePath: dosfstools/20100630dev
Summary: Create an MS-DOS file system under Linuxk
Name: sony-target-dev-dosfstools
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-dosfstools
Version: 2.11
Release: 08020501
License: GPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: http://fresh.t-systems-sfr.com/linux/src
Source0: dosfstools-2.11.src.tar.gz
Patch1: dosfstools-2.11-dosfsckYoption.patch
Patch2: dosfstools-corrupts-root-dir-fix.patch
Patch3: dosfstools-2.11-fix-types.patch
Patch4: dosfstools-2.11-ubuntu-integer-overflow-fix.patch
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
The mkdosfs is used to create an MS-DOS file system under Linux.

%package -n %{pkgname}
Summary: Create an MS-DOS file system under Linuxk
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
The mkdosfs is used to create an MS-DOS file system under Linux.

%prep
%setup -q -n dosfstools-%{version}

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%sony_target_dev_setup
make CC="$CC"

%install
%sony_target_dev_setup
rm -rf %{buildroot}

make PREFIX=%{buildroot}%{sony_target_dir}%{sony_target_dev_dir} install

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/usr 

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_dev_dir}/sbin/dosfsck
%{sony_target_dir}%{sony_target_dev_dir}/sbin/fsck.msdos
%{sony_target_dir}%{sony_target_dev_dir}/sbin/fsck.vfat
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkdosfs
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkfs.msdos
%{sony_target_dir}%{sony_target_dev_dir}/sbin/mkfs.vfat

%changelog
* Mon Jan 10 2011 Sony Corporation
- fix dosfsck integer overflow which cause large file to trancate to 0 byte

* Fri Mar 06 2009 Sony Corporation
- fix dosfsck corrupts root directory when fs->nfats is 1

* Tue Feb 27 2007 Sony Corporation
- version update to 2.11

* Tue Apr 26 2005 Sony Corporation
- include <asm/types.h>

* Tue Mar 8 2005 Sony Corporation
- Initial build.

